"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorHandler = void 0;
const logger_1 = require("../../logs/logger");
const errorHandler = ({ type, description }) => {
    if (type === 'TransportError') {
        logger_1.log.error({ type, description }, 'Failed to connect to broker server');
    }
    else {
        logger_1.log.warn({ type, description }, 'Error on websocket connection');
    }
};
exports.errorHandler = errorHandler;
//# sourceMappingURL=errorHandler.js.map