"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.switchToInsecure = void 0;
const logger_1 = require("../../logs/logger");
const switchToInsecure = (url) => {
    const urlToSwitch = new URL(url);
    if (!urlToSwitch.hostname.includes('.snyk.io')) {
        logger_1.log.debug({ url }, 'Forcing insecure url');
        urlToSwitch.protocol = 'http';
    }
    return urlToSwitch.toString();
};
exports.switchToInsecure = switchToInsecure;
//# sourceMappingURL=utils.js.map