"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleSocketError = exports.handleIoError = void 0;
const logger_1 = require("../../logs/logger");
const handleIoError = (error) => {
    logger_1.log.error({ error }, 'Primus/engine.io server error');
};
exports.handleIoError = handleIoError;
const handleSocketError = (error) => {
    logger_1.log.warn({ error }, 'error on websocket connection');
};
exports.handleSocketError = handleSocketError;
//# sourceMappingURL=errorHandler.js.map