"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyPrometheusMiddleware = void 0;
const express_prom_bundle_1 = __importDefault(require("express-prom-bundle"));
const applyPrometheusMiddleware = () => {
    return (0, express_prom_bundle_1.default)({
        buckets: [0.5, 1, 2, 5, 10, 30, 60, 120, 300],
        includeMethod: true,
        includePath: false,
        metricsPath: '/metrics',
        promClient: {
            collectDefaultMetrics: {
                timeout: 3000,
            },
        },
    });
};
exports.applyPrometheusMiddleware = applyPrometheusMiddleware;
//# sourceMappingURL=prometheus-middleware.js.map