"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../lib/index");
const commands = ['server', 'client'];
exports.default = async (args) => {
    const command = args._[0] || 'client';
    if (!commands.includes(command)) {
        throw new Error(`unknown command "${command}"`);
    }
    args.client = command === 'client';
    await (0, index_1.app)(args);
};
//# sourceMappingURL=exec.js.map