"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.splitStringIntoLines = void 0;
const splitStringIntoLines = (inputString, lineLength, linePrefix = '') => {
    const regex = new RegExp(`.{1,${lineLength}}`, 'g');
    const lines = inputString.match(regex);
    return lines.join(`\n${linePrefix}`);
};
exports.splitStringIntoLines = splitStringIntoLines;
//# sourceMappingURL=utils.js.map