"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitHubTreeValidationError = exports.GitHubTreeParsingError = exports.GitHubCommitParsingError = void 0;
class GitHubCommitParsingError extends Error {
    constructor(message) {
        super(message);
        Object.setPrototypeOf(this, GitHubCommitParsingError.prototype);
    }
}
exports.GitHubCommitParsingError = GitHubCommitParsingError;
class GitHubTreeParsingError extends Error {
    constructor(message) {
        super(message);
        Object.setPrototypeOf(this, GitHubTreeParsingError.prototype);
    }
}
exports.GitHubTreeParsingError = GitHubTreeParsingError;
class GitHubTreeValidationError extends Error {
    constructor(message) {
        super(message);
        Object.setPrototypeOf(this, GitHubTreeValidationError.prototype);
    }
}
exports.GitHubTreeValidationError = GitHubTreeValidationError;
//# sourceMappingURL=errors.js.map