"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.closeHandler = void 0;
const logger_1 = require("../../logs/logger");
const closeHandler = (clientOps) => {
    logger_1.log.warn({
        url: clientOps.config.brokerServerUrl,
        token: clientOps.config.brokerToken,
    }, 'websocket connection to the broker server was closed');
};
exports.closeHandler = closeHandler;
//# sourceMappingURL=closeHandler.js.map